@import url('https://fonts.googleapis.com/css2?family=Agbalumo&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


/* HTML: <div class="loader"></div> */
.loader {
    width: 120px;
    height: 20px;
    background:
        linear-gradient(#a385c2 0 0) left -40px top 0/40px 20px,
        linear-gradient(#ddd 0 0) center/100% 50%;
    background-repeat: no-repeat;
    animation: l5 1s infinite linear;
}

@keyframes l5 {
    100% {
        background-position: right -40px top 0, center
    }
}

* {
    margin: 0;
    padding: 0;
    color: snow;
    font-family: "Agbalumo";
    box-sizing: border-box;
}

body {
    padding: 10px 17.7vw;
    background: #514261;
}

header>a {
    display: flex;
    align-items: center;
    gap: 10px;
}

main {
    margin: 20px 0;
}

#songs,
#song {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.music-item {
    display: flex;
    gap: 20px;
    align-items: center;
    padding: 10px;
    background: #705987;
    justify-content: space-between;
    border-radius: 10px;
    max-width: 580px;
}

button.play-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
}

button.play-btn>img {
    width: 80px;
    height: 80px;
}

img.music-cover {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 10px;
}

img.song-cover {
    object-fit: cover;
    border-radius: 10px;
    max-width: 500px;
    max-height: 500px;
}

a.detail-link {
    font-family: "Agbalumo";
    color: rgb(163, 133, 194);
}

.texts {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.music-title {
    font-size: 32px;
    color: rgb(163, 133, 194);
}

.music-author {
    color: rgba(163, 133, 194, .75);
    font-size: 20px;
}

.right-cont {
    display: flex;
    align-items: center;
    gap: 20px;
}

.controls {
    display: flex;
    gap: 10px;
}

footer>span {
    color: rgb(163, 133, 194);
}

input.range {
    width: 50%;
}

p.text {
    font-family: Montserrat;
}

@media (width <=410px) {
    body {
        padding: 10px;
    }

    .music-item {
        padding: 5px 10px;
        border-radius: 10px;
        width: 100%;
        gap: 0;
    }

    button.play-btn>img {
        width: 40px;
        height: 40px;
    }

    .music-title {
        font-size: 20px;
    }

    .music-author {
        font-size: 16px;
    }

    img.music-cover {
        display: none;
    }

    input.range {
        width: 70%;
    }
}